@echo off
color 0F
set dir=%%
for /d %%a in (%cd%\*) do (
	set dir=%%a
	if exist %%a\7z.dll ( 
	if exist %%a\#YouXun# ( 
	if exist .\7z.exe ( 
	.\7z.exe x %%a\#YouXun# -o.\game -m0=BCJ -aoa -m1=LZMA:d=21 -ms -mmt
	goto end
	)))
)

echo 自动解压失败! 请联系客服解决。
echo 按任意键退出...& pause>nul
exit /b 0

:end
echo 游戏解压完成,游戏解压位置: "%cd%\game"
echo 如果没有该目录,请联系客服解决。
echo 按任意键退出... & pause>nul
exit /b 0